' ******************************************************************
' This program displays the machine-dependent constants
' ******************************************************************

#INCLUDE "fbmath.bi"

' ------------------------------------------------------------------

CLS
PRINT "Machine-dependent constants:"
PRINT

PRINT "MachEp          = "; MachEp

PRINT
PRINT "MinNum          = "; MinNum
PRINT "Exp(MinLog)     = "; Expo(MinLog)

PRINT
PRINT "MinLog          = "; MinLog
PRINT "Ln(MinNum)      = "; Ln(MinNum)

PRINT
PRINT "MaxNum          = "; MaxNum
PRINT "Exp(MaxLog)     = "; Expo(MaxLog)

PRINT
PRINT "MaxLog          = "; MaxLog
PRINT "Ln(MaxNum)      = "; Ln(MaxNum)

PRINT
PRINT "MaxFac          = "; MaxFac
PRINT "Fact(MaxFac)    = "; Fact(MaxFac)

PRINT
PRINT "MaxGam          = "; MaxGam
PRINT "Gamma(MaxGam)   = "; Gamma(MaxGam)

PRINT
PRINT "MaxLgm          = "; MaxLgm
PRINT "LnGamma(MaxLgm) = "; LnGamma(MaxLgm)

SLEEP
